diff -ur -x .svn -x .git -x .bzr -x CVS griffith-0.13/lib/plugins/movie/PluginMovieAllRovi.py trunk/lib/plugins/movie/PluginMovieAllRovi.py
--- griffith-0.13/lib/plugins/movie/PluginMovieAllRovi.py	2011-12-19 00:35:26.000000000 +0200
+++ trunk/lib/plugins/movie/PluginMovieAllRovi.py	2013-07-27 18:37:05.690214997 +0300
@@ -1,6 +1,6 @@
 # -*- coding: UTF-8 -*-
 
-__revision__ = '$Id: PluginMovieAllRovi.py 1605 2011-12-18 22:35:25Z piotrek $'
+__revision__ = '$Id: PluginMovieAllRovi.py 1633 2012-12-28 23:11:42Z mikej06 $'
 
 # Copyright (c) 2009-2011
 #
@@ -151,7 +151,7 @@
     # dict { movie_id -> [ expected result count for original url, expected result count for translated url ] }
     #
     test_configuration = {
-        'Rocky' : [ 57, 57 ],
+        'Rocky' : [ 100, 100 ],
     }
 
 class PluginTest:
@@ -195,7 +195,7 @@
             'country'             : 'USA',
             'genre'               : 'Drama',
             'classification'      : False,
-            'studio'              : 'Columbia Pictures, MGM, Revolution Studios, Chartoff Winkler Productions',
+            'studio'              : 'Chartoff Winkler Productions, Columbia Pictures, MGM, Revolution Studios',
             'o_site'              : False,
             'site'                : 'http://www.allrovi.com/movies/movie/rocky-balboa-v337682',
             'trailer'             : False,
diff -ur -x .svn -x .git -x .bzr -x CVS griffith-0.13/lib/plugins/movie/PluginMovieAllocine.py trunk/lib/plugins/movie/PluginMovieAllocine.py
--- griffith-0.13/lib/plugins/movie/PluginMovieAllocine.py	2011-09-04 23:51:29.000000000 +0300
+++ trunk/lib/plugins/movie/PluginMovieAllocine.py	2014-01-06 22:10:52.551678262 +0200
@@ -1,8 +1,8 @@
 # -*- coding: UTF-8 -*-
 
-__revision__ = '$Id: PluginMovieIMDB.py 176 2006-02-01 12:07:26Z iznogoud $'
+__revision__ = '$Id: PluginMovieAllocine.py 1655 2013-11-12 21:52:22Z mikej06 $'
 
-# Copyright (c) 2005-2011 Vasco Nunes, Piotr Ozarowski
+# Copyright (c) 2005-2012 Vasco Nunes, Piotr Ozarowski
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -21,6 +21,11 @@
 # You may use and distribute this software under the terms of the
 # GNU General Public License, version 2 or later
 
+from datetime import date
+import hashlib
+import base64
+import string
+import urllib
 import movie
 try:
     import simplejson as json
@@ -35,15 +40,25 @@
 plugin_language     = _("French")
 plugin_author       = "Pierre-Luc Levy, Michael Jahn (JSON api)"
 plugin_author_email = ""
-plugin_version      = "1.0"
+plugin_version      = "1.2"
 
 
 class Plugin(movie.Movie):
     def __init__(self, id):
         self.movie_id = id
-        self.url      = "http://api.allocine.fr/xml/movie?partner=3&json=1&profile=large&code=%s" % str(self.movie_id)
+        self.query    = "partner=100043982026&format=json&profile=large&code=%s" % str(self.movie_id)
+        self.url      = "http://api.allocine.fr/rest/v3/movie?"
         self.encode   = 'utf-8'
+        self.useurllib2 = True
 
+    def open_page(self, parent_window=None, url=None):
+        query = self.query + '&sed=' + date.today().strftime("%Y%m%d")
+        to_signature = '29d185d98c984a359e6e6f26a0474269' + query
+        signature = urllib.quote_plus(base64.b64encode(hashlib.sha1(to_signature).digest()))
+        url = self.url + query + '&sig=' + signature
+        self.page = movie.Movie.open_page(self, parent_window, url)
+        return self.page
+        
     def initialize(self):
         self.movie = json.JSONDecoder().decode(self.page)['movie']
 
@@ -101,14 +116,14 @@
                     if 'code' in activity:
                         if activity['code'] == 8001:
                             if 'role' in cast:
-                                self.cast = self.cast + cast['person']['$'] + _(' as ') + cast['role'] + '\n'
+                                self.cast = self.cast + cast['person']['name'] + _(' as ') + cast['role'] + '\n'
                             else:
-                                self.cast = self.cast + cast['person']['$'] + '\n'
+                                self.cast = self.cast + cast['person']['name'] + '\n'
 
     def get_classification(self):
         self.classification = ""
         if 'movieCertificate' in self.movie:
-            self.classification = self.movie['movieCertificate']['$']
+            self.classification = self.movie['movieCertificate']['certificate']['$']
 
     def get_studio(self):
         self.studio = ""
@@ -159,7 +174,7 @@
                     activity = cast['activity']
                     if 'code' in activity:
                         if activity['code'] == code:
-                            result = result + cast['person']['$'] + ', '
+                            result = result + cast['person']['name'] + ', '
         if result:
             result = result[:-2]
         return result
@@ -168,12 +183,22 @@
 class SearchPlugin(movie.SearchMovie):
 
     def __init__(self):
-        self.original_url_search   = "http://api.allocine.fr/xml/search?partner=3&json=1&count=100&profile=small&q="
-        self.translated_url_search = "http://api.allocine.fr/xml/search?partner=3&json=1&count=100&profile=small&q="
+        self.search_query = "partner=100043982026&format=json&q=%s&filter=movie&count=100&page=1&profile=small"
+        self.search_url = "http://api.allocine.fr/rest/v3/search?"
+        
+        self.original_url_search   = "http://api.allocine.fr/rest/v3/search?partner=YW5kcm9pZC12M3M&count=100&profile=small&format=json&filter=movie&q="
+        self.translated_url_search = "http://api.allocine.fr/rest/v3/search?partner=YW5kcm9pZC12M3M&count=100&profile=small&format=json&filter=movie&q="
         self.encode                = 'utf-8'
         self.remove_accents        = True
+        self.useurllib2 = True
 
     def search(self, parent_window):
+        query = string.replace(self.search_query % self.title, ' ', '%20')
+        query = query + '&sed=' + date.today().strftime("%Y%m%d")
+        to_signature = '29d185d98c984a359e6e6f26a0474269' + query
+        signature = urllib.quote_plus(base64.b64encode(hashlib.sha1(to_signature).digest()))
+        self.title = self.search_url + query + '&sig=' + signature
+        self.url = ''
         if not self.open_search(parent_window):
             return None
         return self.page
@@ -198,6 +223,7 @@
                     log.exception('')
         except:
             log.exception('')
+            log.error(self.page)
 
 
 #
@@ -258,7 +284,7 @@
             'o_title'             : u'Terminator, The',
             'director'            : u'James Cameron',
             'plot'                : True,
-            'cast'                : u'Arnold Schwarzenegger' + _(' as ') + 'le Terminator\n\
+            'cast'                : u'Arnold Schwarzenegger' + _(' as ') + 'Le Terminator\n\
 Michael Biehn' + _(' as ') + 'Kyle Reese\n\
 Linda Hamilton' + _(' as ') + 'Sarah Connor\n\
 Lance Henriksen' + _(' as ') + 'l\'inspecteur Vukovich\n\
@@ -268,7 +294,7 @@
 Earl Boen' + _(' as ') + 'le Dr Peter Silberman\n\
 Dick Miller' + _(' as ') + 'le marchand d\'armes\n\
 Shawn Schepps' + _(' as ') + 'Nancy\n\
-Bill Paxton' + _(' as ') + 'le chef des punks\n\
+Bill Paxton' + _(' as ') + 'Le chef des punks\n\
 Brian Thompson' + _(' as ') + 'un punk\n\
 Marianne Muellerleile' + _(' as ') + 'la \'mauvaise\' Sarah Connor\n\
 Franco Columbu' + _(' as ') + 'le Terminator infiltrant le bunker dans le futur\n\
@@ -306,7 +332,7 @@
             'notes'               : False,
             'runtime'             : 108,
             'image'               : True,
-            'rating'              : 8,
+            'rating'              : 7,
             'cameraman'           : u'Adam Greenberg',
             'screenplay'          : u'James Cameron, Gale Anne Hurd, Harlan Ellison, William Wisher',
             'barcode'             : False
diff -ur -x .svn -x .git -x .bzr -x CVS griffith-0.13/lib/plugins/movie/PluginMovieAmazon.py trunk/lib/plugins/movie/PluginMovieAmazon.py
--- griffith-0.13/lib/plugins/movie/PluginMovieAmazon.py	2011-12-04 17:59:11.000000000 +0200
+++ trunk/lib/plugins/movie/PluginMovieAmazon.py	2013-07-27 18:37:05.670214115 +0300
@@ -1,8 +1,8 @@
 # -*- coding: UTF-8 -*-
 
-__revision__ = '$Id$'
+__revision__ = '$Id: PluginMovieAmazon.py 1633 2012-12-28 23:11:42Z mikej06 $'
 
-# Copyright (c) 2006-2009
+# Copyright (c) 2006-2012
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -125,7 +125,9 @@
             if hasattr(self.page.EditorialReviews, 'EditorialReview'):
                 if isSequenceType(self.page.EditorialReviews.EditorialReview):
                     for review in self.page.EditorialReviews.EditorialReview:
-                        if string.find(review.Source, 'Amazon') > -1:
+                        if hasattr(review, 'Source') and \
+                            hasattr(review, 'Content') and \
+                            string.find(review.Source, 'Amazon') > -1:
                             self.plot = review.Content
                 else:
                     if hasattr(self.page.EditorialReviews.EditorialReview, 'Source') and \
@@ -398,8 +400,8 @@
     # dict { movie_id -> [ expected result count for original url, expected result count for translated url ] }
     #
     test_configuration = {
-        'Rocky Balboa' : [  22,  22 ],
-        'Arahan'       : [   9,   9 ],
+        'Rocky Balboa' : [  23,  23 ],
+        'Arahan'       : [  10,  10 ],
         'Glück'        : [ 100, 100 ]
     }
 
@@ -428,11 +430,11 @@
             'o_site'              : False,
             'site'                : 'http://www.amazon.de/dp/B000TIQMMI',
             'trailer'             : False,
-            'year'                : 2006,
+            'year'                : 2007,
             'notes'               : 'EAN: 4045167004504',
             'runtime'             : 97,
             'image'               : True,
-            'rating'              : 8,
+            'rating'              : False,
             'barcode'             : '4045167004504'
         },
         'B0009NSASM' : {
@@ -450,11 +452,11 @@
             'o_site'              : False,
             'site'                : 'http://www.amazon.de/dp/B0009NSASM',
             'trailer'             : False,
-            'year'                : 1973,
+            'year'                : 2008,
             'notes'               : 'EAN: 7321921998843',
             'runtime'             : 110,
             'image'               : True,
-            'rating'              : 10,
+            'rating'              : False,
             'barcode'             : '7321921998843'
         },
         'B000BSNOD6' : {
@@ -475,7 +477,7 @@
             'notes'               : 'EAN: 4013549871105',
             'runtime'             : 108,
             'image'               : True,
-            'rating'              : 8,
+            'rating'              : False,
             'barcode'             : '4013549871105'
         }
     }
diff -ur -x .svn -x .git -x .bzr -x CVS griffith-0.13/lib/plugins/movie/PluginMovieAniDB.py trunk/lib/plugins/movie/PluginMovieAniDB.py
--- griffith-0.13/lib/plugins/movie/PluginMovieAniDB.py	2011-09-26 22:36:40.000000000 +0300
+++ trunk/lib/plugins/movie/PluginMovieAniDB.py	2013-07-27 18:37:05.666880634 +0300
@@ -1,6 +1,6 @@
 # -*- coding: utf-8 -*-
 
-__revision__ = '$Id: PluginMovieAniDB.py 1594 2011-09-22 21:00:44Z mikej06 $'
+__revision__ = '$Id: PluginMovieAniDB.py 1633 2012-12-28 23:11:42Z mikej06 $'
 
 # Copyright © 2005-2011 Piotr Ożarowski
 #
@@ -256,7 +256,7 @@
 [Seras Victoria] voiced by Orikasa Fumiko\n\
 [Incognito] voiced by Yamazaki Takumi',
             'country'             : False,
-            'genre'               : 'Law and Order, Alternative Present, Horror, Vampires, Gunfights, Action, Contemporary Fantasy, United Kingdom, Earth, Europe, Special Squads, Cops, Manga, Seinen, Violence, Fantasy, Present',
+            'genre'               : 'Law and Order, Alternative Present, Horror, Vampires, Gunfights, Action, Contemporary Fantasy, United Kingdom, Earth, Europe, Special Squads, Cops, Manga, Seinen, Violence, Fantasy, Present, London, Zombies',
             'classification'      : False,
             'studio'              : False,
             'o_site'              : 'http://www.gonzo.co.jp/works/0102.html',
@@ -266,7 +266,7 @@
             'notes'               : True,
             'runtime'             : 0,
             'image'               : True,
-            'rating'              : 8,
+            'rating'              : 6,
             'cameraman'           : False,
             'screenplay'          : False
         },
diff -ur -x .svn -x .git -x .bzr -x CVS griffith-0.13/lib/plugins/movie/PluginMovieCSFD.py trunk/lib/plugins/movie/PluginMovieCSFD.py
--- griffith-0.13/lib/plugins/movie/PluginMovieCSFD.py	2011-12-04 17:59:11.000000000 +0200
+++ trunk/lib/plugins/movie/PluginMovieCSFD.py	2014-01-06 22:10:52.551678262 +0200
@@ -41,9 +41,9 @@
         self.url = "http://www.csfd.cz" + str(id)
 
     def get_image(self):
-        self.image_url = re.search(r"content=\"http://img.csfd.cz/posters/([^\"]*)\"", self.page)
+        self.image_url = re.search(r"content=\"http://img.csfd.cz/files/images/film/posters/([^\"]*)\"", self.page)
         if self.image_url:
-            self.image_url = "http://img.csfd.cz/posters/" + gutils.strip_tags(self.image_url.group(1))
+            self.image_url = "http://img.csfd.cz/files/images/film/posters/" + gutils.strip_tags(self.image_url.group(1))
         else:
             self.image_url = ""
 
@@ -130,7 +130,7 @@
         a = re.sub("\n", "", a)
         a = re.sub("<BR>", "", a)
         try:
-            self.plot = re.search(r'ka"([^<]*)', a).group(0)[6:]
+            self.plot = gutils.after(re.search(r'ka"([^<]*)', a).group(0), '>')
         except:
             self.plot = ""
 
@@ -178,6 +178,18 @@
     def get_classification(self):
         self.classification = ""
 
+    def get_screenplay(self):
+        self.screenplay = ''
+        tmp = gutils.trim(self.page, '>Scénář:<', '</div>')
+        if tmp:
+            tmp = string.split(tmp, "href=")
+            for item in tmp:
+                item = gutils.clean(gutils.trim(item, '>', '<'))
+                if item:
+                    self.screenplay = self.screenplay + item + ', '
+            if self.screenplay:
+                self.screenplay = self.screenplay[:-2]
+
 
 class SearchPlugin(movie.SearchMovie):
     def __init__(self):
@@ -214,7 +226,7 @@
     #
     test_configuration = {
         'Cliffhanger' : [ 1, 1 ],
-        'Rocky' : [ 38, 38 ]
+        'Rocky' : [ 41, 41 ]
     }
 
 
@@ -245,10 +257,10 @@
 Michael Ahl\n\
 Dean Maur',
             'country'        : 'USA',
-            'genre'          : 'Sportovní / Drama',
+            'genre'          : 'Sportovní / Drama / Akční / Romantický',
             'classification' : False,
             'studio'         : False,
-            'o_site'         : 'http://www.mgm.com/view/movie/1667/Rocky-Balboa/',
+            'o_site'         : False,
             'site'           : 'http://www.imdb.com/title/tt0479143/',
             'trailer'        : 'http://www.csfd.cz/film/221900-rocky-balboa/videa',
             'year'           : 2006,
@@ -275,11 +287,13 @@
 Gregory Scott Cummins\n\
 Max Perlich\n\
 Paul Winfield\n\
+Ralph Waite\n\
 Zach Grenier\n\
 Don S. Davis\n\
 Bruce McGill\n\
 Jeff Blynn\n\
-John Fin',
+John Finn\n\
+Rosemary Dunsmor',
             'country'        : 'USA / Itálie / Francie',
             'genre'          : 'Akční / Dobrodružný / Thriller',
             'classification' : False,
diff -ur -x .svn -x .git -x .bzr -x CVS griffith-0.13/lib/plugins/movie/PluginMovieCineMovies.py trunk/lib/plugins/movie/PluginMovieCineMovies.py
--- griffith-0.13/lib/plugins/movie/PluginMovieCineMovies.py	2011-08-31 09:40:41.000000000 +0300
+++ trunk/lib/plugins/movie/PluginMovieCineMovies.py	2013-07-27 18:37:05.673547595 +0300
@@ -1,6 +1,6 @@
 # -*- coding: UTF-8 -*-
 
-__revision__ = '$Id: PluginMovieCineMovies.py 1577 2011-08-30 21:13:26Z mikej06 $'
+__revision__ = '$Id: PluginMovieCineMovies.py 1644 2013-02-21 20:37:27Z mikej06 $'
 
 # Copyright (c) 2005-2011 Vasco Nunes, Piotr Ożarowski
 #
@@ -30,66 +30,64 @@
 plugin_language     = _("French")
 plugin_author       = "Vasco Nunes"
 plugin_author_email = "<vasco.m.nunes@gmail.com>"
-plugin_version      = "0.4"
+plugin_version      = "0.5"
 
 class Plugin(movie.Movie):
     def __init__(self, id):
-        self.encode   = 'iso-8859-1'
+        self.encode   = 'utf-8'
         self.movie_id = id
-        self.url      = "http://www.cinemovies.fr/fiche_film.php?IDfilm=" + str(self.movie_id)
-
-    def initialize(self):
-        self.page_cast = self.open_page(self.parent_window, url = 'http://www.cinemovies.fr/fiche_cast.php?IDfilm='+ str(self.movie_id))
+        self.url      = "http://www.cinemovies.fr/film/" + str(self.movie_id)
+        print self.url
 
     def get_image(self):
-        self.image_url = gutils.trim(self.page, '<link rel="image_src" href="', '">')
+        self.image_url = gutils.trim(gutils.trim(self.page, 'property="og:image"', '>'), '"', '"')
 
     def get_o_title(self):
-        self.o_title = gutils.trim(self.page, 'Titre original :', '</tr>')
+        self.o_title = gutils.trim(self.page, 'Titre original :', '</span>')
 
     def get_title(self):
-        self.title = gutils.trim(self.page, '<h1 class="h1artist" property="v:name">', '</h1>')
+        self.title = gutils.trim(gutils.trim(self.page, 'property="og:title"', '>'), '"', '"')
 
     def get_director(self):
-        self.director = gutils.clean(gutils.trim(self.page_cast, u'Réalisé par</h2> :', '<div id="cast_film">'))
+        self.director = gutils.clean(gutils.trim(self.page, u'Réalisé par', '</span>'))
         self.director = re.sub('[\n|\t]+', ', ', self.director)
 
     def get_plot(self):
-        self.plot = gutils.trim(gutils.after(self.page, '>L\'histoire<'), '<div id="story_fiche" property="v:summary">', '</div>')
+        self.plot = gutils.after(gutils.trim(self.page, 'class="synopsis"', '</div>'), '>')
 
     def get_year(self):
-        self.year = gutils.trim(self.page, 'Date(s) de Sortie(s)', '</a>')
-        if len(self.year) > 4:
-            self.year = self.year[len(self.year) - 4:len(self.year)]
+        self.year = gutils.trim(gutils.trim(self.page, 'Date de sortie :', '</span>'), 'content="', '-')
 
     def get_runtime(self):
-        self.runtime = gutils.clean(gutils.trim(self.page, u'>Durée :', '</tr>'))
+        self.runtime = gutils.clean(gutils.trim(self.page, u'Durée : ', '</span>'))
         if self.runtime:
-           if self.runtime.find('h') > 0:
-              self.runtime = str (int(gutils.before(self.runtime,'h'))*60 + int(gutils.after(self.runtime,'h')))
+           if self.runtime.find('H') > 0:
+              self.runtime = str (int(gutils.before(self.runtime,'H'))*60 + int(gutils.after(self.runtime,'H')))
            else:
               self.runtime = gutils.before(self.runtime,' mn')
 
     def get_genre(self):
-        self.genre = gutils.trim(self.page, 'Genre :', '</tr>')
+        self.genre = gutils.trim(self.page, 'Genre :', '</span>')
         self.genre = re.sub('[,][^,]*$', '', self.genre)
         self.genre = self.genre.replace(',', ', ')
 
     def get_cast(self):
-        self.cast = gutils.trim(self.page_cast, u'Comédiens</h2> :', '<div id="cast_film">')
-        self.cast = self.cast.replace('\n', '')
-        self.cast = self.cast.replace('</tr>', '\n')
-        self.cast = re.sub('</a></h5>', _(' as '), self.cast)
-        self.cast = gutils.clean(self.cast)
-        self.cast = re.sub(_(' as ') + '[ \t]*(\n|$)', '\n', self.cast)
-        self.cast = re.sub('[ \t]*\n[ \t]+', '\n', self.cast)
+        self.cast = ''
+        tmp = self.page.split('itemprop="actor"')
+        for element in tmp[1:]:
+            actor = gutils.trim(element, '>', '</span>')
+            role = gutils.after(gutils.trim(element, u'Rôle', '</span>'), ': ')
+            if role:
+                self.cast = self.cast + actor + _(' as ') + role + '\n'
+            else:
+                self.cast = self.cast + actor + '\n'
 
     def get_classification(self):
         # not available on this site
         self.classification = ''
 
     def get_studio(self):
-        self.studio = string.strip(gutils.trim(self.page, 'Distributeur :', '</tr>'))
+        self.studio = string.strip(gutils.trim(self.page, 'Distributeur :', '</span>'))
 
     def get_o_site(self):
         self.o_site = gutils.after(gutils.after(gutils.trim(self.page, '>Site(s) Officiel(s)<', '</a'), '<a '), '>')
@@ -108,35 +106,33 @@
         self.rating = gutils.clean(gutils.trim(self.page, '<div class=number3>', '</div>'))
 
     def get_screenplay(self):
-        self.screenplay = gutils.clean(gutils.trim(self.page_cast, u'Scénario de</h2> :', '<div id="cast_film">'))
+        self.screenplay = gutils.clean(gutils.trim(self.page, u'Scénario de</h2> :', '<div id="cast_film">'))
         self.screenplay = re.sub('[\n|\t]+', ', ', self.screenplay)
 
 
 class SearchPlugin(movie.SearchMovie):
     def __init__(self):
-        self.encode                = 'iso-8859-1'
-        self.original_url_search   = "http://www.cinemovies.fr/resultat_recherche.php?typsearch=11&cherche="
-        self.translated_url_search = "http://www.cinemovies.fr/resultat_recherche.php?typsearch=11&cherche="
+        self.encode                = 'utf-8'
+        self.original_url_search   = 'http://www.cinemovies.fr/rechercher/?e=m&page=1&q='
+        self.translated_url_search = 'http://www.cinemovies.fr/rechercher/?e=m&page=1&q='
 
     def search(self,parent_window):
         if not self.open_search(parent_window):
             return None
-        self.sub_search()
         return self.page
 
-    def sub_search(self):
-        self.page = gutils.trim(self.page, '<div class=searchban>Les film', '<div class=spaceblank>')
-
     def get_searches(self):
-        elements = string.split(self.page, '<tr')
+        elements = string.split(self.page, '"><a href="http://www.cinemovies.fr/film/')
         self.number_results = elements[-1]
 
         if (elements[0]<>''):
             for element in elements:
-                self.ids.append(gutils.trim(element, 'IDfilm=', '"'))
-                title = gutils.convert_entities(gutils.strip_tags(gutils.after(gutils.trim(element, 'IDfilm=', '</a>'), '>')))
-                year = gutils.after(gutils.trim(element, '<td valign="bottom"', '</td>'), '>')
-                self.titles.append(title + ' (' + year + ')')
+                id = gutils.before(element, '"')
+                title = gutils.clean(gutils.trim(element, '>', '<'))
+                if id and title:
+                    self.ids.append(id)
+                    year = gutils.trim(element, '">Sortie le', '<')
+                    self.titles.append(title + ' (' + year + ')')
         else:
             self.number_results = 0
 
@@ -149,7 +145,7 @@
     # dict { movie_id -> [ expected result count for original url, expected result count for translated url ] }
     #
     test_configuration = {
-        'Rocky Balboa' : [ 2, 2 ],
+        'Rocky Balboa' : [ 4, 4 ],
     }
 
 class PluginTest:
@@ -161,7 +157,7 @@
     #        * or the expected value
     #
     test_configuration = {
-        '6065' : { 
+        'rocky-balboa_e54849' : { 
             'title'               : 'Rocky Balboa',
             'o_title'             : 'Rocky VI',
             'director'            : 'Sylvester Stallone',
@@ -186,7 +182,7 @@
             'classification'      : False,
             'studio'              : 'Twentieth Century Fox France',
             'o_site'              : 'http://www.sonypictures.com/movies/rocky/',
-            'site'                : 'http://www.cinemovies.fr/fiche_film.php?IDfilm=6065',
+            'site'                : 'http://www.cinemovies.fr/film/rocky-balboa_e54849',
             'trailer'             : 'http://www.cinemovies.fr/fiche_multimedia.php?IDfilm=6065',
             'year'                : 2007,
             'notes'               : False,
diff -ur -x .svn -x .git -x .bzr -x CVS griffith-0.13/lib/plugins/movie/PluginMovieCineteka.py trunk/lib/plugins/movie/PluginMovieCineteka.py
--- griffith-0.13/lib/plugins/movie/PluginMovieCineteka.py	2011-08-31 09:40:41.000000000 +0300
+++ trunk/lib/plugins/movie/PluginMovieCineteka.py	2013-07-27 18:37:05.676881075 +0300
@@ -134,7 +134,7 @@
 class SearchPlugin(movie.SearchMovie):
     """A movie search object"""
     def __init__(self):
-        self.original_url_search   = "http://www.cineteka.com/index.php?op=MovieSearch&s="
+        self.original_url_search   = "http://www.cineteka.com/index.php?op=MovieSearch&perfil_display=0&ordby=3&s="
         self.translated_url_search = self.original_url_search
         self.encode                = 'iso-8859-1'
 
@@ -142,7 +142,7 @@
         """Perform the web search"""
         if not self.open_search(parent_window):
             return None
-        self.page = gutils.trim(self.page, 'tulo(s): ', '<div class="menuright">')
+        self.page = gutils.after(self.page, '"Resultados Ordenados por:"')
         return self.page
 
     def get_searches(self):
